/**
 * Data model pour les runes
 */
export default class RuneDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      formule: new fields.StringField({ initial: "" }),
      seuil: new fields.NumberField({ initial: 0, integer: true }),
      prononcee: new fields.StringField({ initial: "" }),
      tracee: new fields.StringField({ initial: "" })
    };
  }
}